### Hierarchy

- IEmitter
  - IPageProvider

### Implemented by

- ProviderREST
- ProviderSocket

## Index

### Properties

- destroy
- emit
- getData
- off
- on
- register
- start
- stop
- unRegister

### Methods

- removeEvent
- removeEvents

## Properties

### destroy

destroy: function

- Defined in Page/Provider.ts:13

#### Type declaration

- - (): void

  - #### Returns void

### emit

emit: function

Inherited from IEmitter.emit

- Defined in Emitter.ts:4

#### Type declaration

- - (name: string, args?: any): void

  - #### Parameters

    - ##### name: string

    - ##### Optional args: any

    #### Returns void

### getData

getData: function

- Defined in Page/Provider.ts:14

#### Type declaration

- - (): void

  - #### Returns void

### off

off: function

Inherited from IEmitter.off

- Defined in Emitter.ts:3

#### Type declaration

- - (name: string, callback: any): void

  - #### Parameters

    - ##### name: string

    - ##### callback: any

    #### Returns void

### on

on: function

Inherited from IEmitter.on

- Defined in Emitter.ts:2

#### Type declaration

- - (name: string, callback: any): void

  - #### Parameters

    - ##### name: string

    - ##### callback: any

    #### Returns void

### register

register: function

Inherited from IEmitter.register

- Defined in Emitter.ts:5

#### Type declaration

- - (callback: any): void

  - #### Parameters

    - ##### callback: any

    #### Returns void

### start

start: function

- Defined in Page/Provider.ts:11

#### Type declaration

- - (): void

  - #### Returns void

### stop

stop: function

- Defined in Page/Provider.ts:12

#### Type declaration

- - (): void

  - #### Returns void

### unRegister

unRegister: function

Inherited from IEmitter.unRegister

- Defined in Emitter.ts:6

#### Type declaration

- - (callback: any): void

  - #### Parameters

    - ##### callback: any

    #### Returns void

## Methods

### removeEvent

- removeEvent(): void

- Inherited from IEmitter.removeEvent

  - Defined in Emitter.ts:7

  #### Returns void

### removeEvents

- removeEvents(): void

- Inherited from IEmitter.removeEvents

  - Defined in Emitter.ts:8

  #### Returns void

Generated using TypeDoc